libzypp: zypp::solver::detail::HelixControl Class Reference

libzypp 17.38.10

zypp::solver::detail::HelixControl Class Reference

Creates a file in helix format which contains all controll action of a testcase ( file is known as *-test.xml). More...

## Public Member Functions
| HelixControl (const std::string &controlPath, const RepositoryTable &sourceTable, const Arch &systemArchitecture, const target::Modalias::ModaliasList &modaliasList, const std::set< std::string > &multiversionSpec, const std::string &systemPath)
| ~HelixControl ()
void | closeSetup ()
std::ostream & | writeTag ()
void | addTagIf (const std::string &tag_r, bool yesno_r=true)
void | installResolvable (const PoolItem &pi_r)
void | lockResolvable (const PoolItem &pi_r)
void | keepResolvable (const PoolItem &pi_r)
void | deleteResolvable (const PoolItem &pi_r)
void | addDependencies (const CapabilitySet &capRequire, const CapabilitySet &capConflict)
void | addUpgradeRepos (const std::set< Repository > &upgradeRepos_r)
std::string | filename ()

## Private Attributes
std::string | dumpFile
std::ofstream * | file
bool | _inSetup

## Detailed Description

Creates a file in helix format which contains all controll action of a testcase ( file is known as *-test.xml).

Definition at line 275 of file Testcase_helix.cc.

## Constructor & Destructor Documentation

## ◆ HelixControl()

zypp::solver::detail::HelixControl::HelixControl | ( | const std::string & | controlPath,
|  | const RepositoryTable & | sourceTable,
|  | const Arch & | systemArchitecture,
|  | const target::Modalias::ModaliasList & | modaliasList,
|  | const std::set< std::string > & | multiversionSpec,
|  | const std::string & | systemPath )

Definition at line 319 of file Testcase_helix.cc.

## ◆ ~HelixControl()

zypp::solver::detail::HelixControl::~HelixControl | ( |  | ) |

Definition at line 400 of file Testcase_helix.cc.

## Member Function Documentation

## ◆ closeSetup()

void zypp::solver::detail::HelixControl::closeSetup | ( |  | ) |
| inline

Definition at line 291 of file Testcase_helix.cc.

## ◆ writeTag()

std::ostream & zypp::solver::detail::HelixControl::writeTag | ( |  | ) |
| inline

Definition at line 300 of file Testcase_helix.cc.

## ◆ addTagIf()

void zypp::solver::detail::HelixControl::addTagIf | ( | const std::string & | tag_r,
|  | bool | yesno_r = true )
| inline

Definition at line 303 of file Testcase_helix.cc.

## ◆ installResolvable()

void zypp::solver::detail::HelixControl::installResolvable | ( | const PoolItem & | pi_r | ) |

Definition at line 408 of file Testcase_helix.cc.

## ◆ lockResolvable()

void zypp::solver::detail::HelixControl::lockResolvable | ( | const PoolItem & | pi_r | ) |

Definition at line 420 of file Testcase_helix.cc.

## ◆ keepResolvable()

void zypp::solver::detail::HelixControl::keepResolvable | ( | const PoolItem & | pi_r | ) |

Definition at line 432 of file Testcase_helix.cc.

## ◆ deleteResolvable()

void zypp::solver::detail::HelixControl::deleteResolvable | ( | const PoolItem & | pi_r | ) |

Definition at line 444 of file Testcase_helix.cc.

## ◆ addDependencies()

void zypp::solver::detail::HelixControl::addDependencies | ( | const CapabilitySet & | capRequire,
|  | const CapabilitySet & | capConflict )

Definition at line 452 of file Testcase_helix.cc.

## ◆ addUpgradeRepos()

void zypp::solver::detail::HelixControl::addUpgradeRepos | ( | const std::set< Repository > & | upgradeRepos_r | ) |

Definition at line 462 of file Testcase_helix.cc.

## ◆ filename()

std::string zypp::solver::detail::HelixControl::filename | ( |  | ) |
| inline

Definition at line 316 of file Testcase_helix.cc.

## Member Data Documentation

## ◆ dumpFile

std::string zypp::solver::detail::HelixControl::dumpFile
| private

Definition at line 278 of file Testcase_helix.cc.

## ◆ file

std::ofstream* zypp::solver::detail::HelixControl::file
| private

Definition at line 279 of file Testcase_helix.cc.

## ◆ _inSetup

bool zypp::solver::detail::HelixControl::_inSetup
| private

Definition at line 280 of file Testcase_helix.cc.

The documentation for this class was generated from the following file:

- zypp/solver/detail/Testcase_helix.cc